# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           R2spec
Version:        2.3
Release:        1%{?dist}
Summary:        Python script to generate R spec file

Group:          Development/Languages
License:        GPLv3+
URL:            http://pingoured.fr/public/R2spec_1.3.py
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python, python-devel
Requires:       R

%description
This is a small python script that generates spec file for R libraries.
It can work from a URL or a tarball.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} 
chmod +x %{buildroot}/%{python_sitelib}/r2spec/%{name}.py

%clean
rm -rf %{buildroot}

%files 
#-f installed_files2
%defattr(-,root,root)
%doc README LICENSE CHANGELOG
%{python_sitelib}/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Sun Aug 10 2008 Pingou <pingou-at-pingoured.fr> 2.3-1
- Update to version 2.3

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.2-1
- Update to version 2.2

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.1-1
- Update to version 2.1

* Wed Jul 30 2008 Pingou <pingou-at-pingoured.fr> 2.0-1
- Update to version 2.0

* Tue Jul 29 2008 Pingou <pingou-at-pingoured.fr> 1.3-1
- First RPM for Fedora
